JMSConnectorFactory (Axis API)
Keywords: org.apache.axis.transport.jms.JMSConnectorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSConnectorFactory

    java.lang.Object
      org.apache.axis.transport.jms.JMSConnectorFactory

public abstract class JMSConnectorFactory
extends java.lang.Object

JMSConnectorFactory is a factory class for creating JMSConnectors. It can create both client connectors and server connectors. A server connector is configured to allow asynchronous message receipt, while a client connector is not. JMSConnectorFactory can also be used to select an appropriately configured JMSConnector from an existing pool of connectors.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`JMSConnectorFactory()`

Method Summary
`static JMSConnector` | `createClientConnector(java.util.HashMap connectorConfig, java.util.HashMap cfConfig, java.lang.String username, java.lang.String password, JMSVendorAdapter adapter)` Static method to create a client connector.
`static JMSConnector` | `createServerConnector(java.util.HashMap connectorConfig, java.util.HashMap cfConfig, java.lang.String username, java.lang.String password, JMSVendorAdapter adapter)` Static method to create a server connector.
`static JMSConnector` | `matchConnector(java.util.Set connectors, java.util.HashMap connectorProps, java.util.HashMap cfProps, java.lang.String username, java.lang.String password, JMSVendorAdapter adapter)` Performs an initial check on the connector properties, and then defers to the vendor adapter for matching on the vendor-specific connection factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### JMSConnectorFactory

    public JMSConnectorFactory()

Method Detail

### matchConnector

    public static JMSConnector matchConnector(java.util.Set connectors,
                                              java.util.HashMap connectorProps,
                                              java.util.HashMap cfProps,
                                              java.lang.String username,
                                              java.lang.String password,
                                              JMSVendorAdapter adapter)

  Performs an initial check on the connector properties, and then defers to the vendor adapter for matching on the vendor-specific connection factory.

  Parameters:
    `connectors` - the list of potential matches
    `connectorProps` - the set of properties to be used for matching the connector
    `cfProps` - the set of properties to be used for matching the connection factory
    `username` - the user requesting the connector
    `password` - the password associated with the requesting user
    `adapter` - the vendor adapter specified in the JMS URL
  Returns:
    a JMSConnector that matches the specified properties

### createServerConnector

    public static JMSConnector createServerConnector(java.util.HashMap connectorConfig,
                                                     java.util.HashMap cfConfig,
                                                     java.lang.String username,
                                                     java.lang.String password,
                                                     JMSVendorAdapter adapter)
                                              throws java.lang.Exception

  Static method to create a server connector. Server connectors can accept incoming requests.

  Parameters:
    `connectorConfig` -
    `cfConfig` -
    `username` -
    `password` -
  Returns:
  Throws:
    `java.lang.Exception`

### createClientConnector

    public static JMSConnector createClientConnector(java.util.HashMap connectorConfig,
                                                     java.util.HashMap cfConfig,
                                                     java.lang.String username,
                                                     java.lang.String password,
                                                     JMSVendorAdapter adapter)
                                              throws java.lang.Exception

  Static method to create a client connector. Client connectors cannot accept incoming requests.

  Parameters:
    `connectorConfig` -
    `cfConfig` -
    `username` -
    `password` -
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.